## jupyterlab 4.0.11%2Bds1%2B~cs11.25.27

=== docs/Makefile ===
# Copyright (c) Jupyter Development Team.
# Distributed under the terms of the Modified BSD License.

# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W --keep-going
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = JupyterLab
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	# clean api build as well
	-rm -rf "$(SOURCEDIR)/api"
	@$(SPHINXBUILD) -M clean "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=jupyterlab
export JUPYTERLAB_DIR=$(CURDIR)/debian/jupyterlab/usr/share/jupyter/lab
PYVERS=$(shell python3 -c 'import sysconfig;print (sysconfig.get_python_version())')
BUILD_EXTENSIONS=galata/extension
export YARNCOMMAND=pkgjs

# Limit memory consumption to 2/3 of available RAM
NODE_MEM=$(shell if test -e /proc/meminfo; then echo $$((`grep MemTotal /proc/meminfo|sed -e 's/[^0-9]//g'` / 1536 )); else echo 2048; fi)
export NODE_OPTIONS=--max_old_space_size=$(NODE_MEM)
export NODE_ENV=production

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --buildsystem=nodejs
	dh_auto_configure --buildsystem=pybuild

override_dh_auto_build:
	# Replace html-loader preprocessing
	grep -lr '<%= require(.html-loader'|./debian/html-loader.pl
	# Update build links
	ln -s ../../packages/fileeditor-extension node_modules/@jupyterlab/ || true
	# Build duplicate-package-checker-webpack-plugin
	cd duplicate-package-checker-webpack-plugin && sh -ex ../debian/nodejs/duplicate-package-checker-webpack-plugin/build

	# Build @jupyterlab/* libraries
	# activating the next line
	# dh_auto_build --buildsystem=nodejs
	# produce this error during the build
	# dh_auto_build: warning: Max loop command exceed, aborting
	# dh_auto_build: warning: Max loop command exceed, aborting
	# instead call directly the nodejs build script
	sh -ex debian/nodejs/build

	dh_auto_build --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=nodejs
	dh_auto_install --buildsystem=pybuild


execute_after_dh_install:
	# move /usr/etc files into /etc
	mv -f debian/jupyterlab/usr/etc debian/jupyterlab/

	# add the missing .js.map files ???
	cp -f debian/jupyterlab/usr/lib/python3/dist-packages/jupyterlab/staging/build/*.js.map \
              debian/jupyterlab/usr/share/jupyter/lab/static

	# link instead of copy (to save space)
	rm -rf /usr/lib/python3/dist-packages/jupyterlab/static
	dh_link -p jupyterlab /usr/share/jupyter/lab/static /usr/lib/python3/dist-packages/jupyterlab/static
	rm -rf /usr/lib/python3/dist-packages/jupyterlab/schemas
	dh_link -p jupyterlab /usr/share/jupyter/lab/schemas /usr/lib/python3/dist-packages/jupyterlab/schemas
	rm -rf /usr/lib/python3/dist-packages/jupyterlab/themes
	dh_link -p jupyterlab /usr/share/jupyter/lab/themes /usr/lib/python3/dist-packages/jupyterlab/themes

	# remove unwanted files
	find debian/jupyterlab -name build_log.json -delete
	rm -rf debian/jupyterlab/usr/lib/python3/dist-packages/jupyterlab/staging/build
	rm -rf debian/jupyterlab/usr/lib/python3/dist-packages/jupyterlab/staging/node_modules

override_dh_auto_test:
	@echo "Tests disabled because of missing depends"

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs auto_dispatch

override_dh_auto_clean:
	# Restore html-loader.pl modified files
	grep -lr '<%= require(.html-loader' debian|debian/restore-html-loader.pl
	dh_auto_clean -O--buildsystem=pybuild || true
	dh_auto_clean -O--buildsystem=nodejs || true

## jupyterlab 4.0.11+ds1

=== debian/changelog ===
jupyterlab (4.0.11+ds1-2) unstable; urgency=medium

  * Improve error detection in d/rules.
  * Bug fix: "Use node-long package", thanks to Bastien Roucariès (Closes:
    #1067017).
  * Bug fix: "use pacckaged node-call-bind (provided package)", thanks to
    Bastien Roucariès (Closes: #1067019).
  * Bug fix: "please use node-get-intrinsic", thanks to Bastien Roucariès
    (Closes: #1067020).

 -- Roland Mas <lolando@debian.org>  Tue, 19 Mar 2024 16:49:20 +0100

jupyterlab (4.0.11+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bug fix: "CVE-2024-22420 CVE-2024-22421", thanks to Salvatore
    Bonaccorso (Closes: #1061221).

 -- Roland Mas <lolando@debian.org>  Mon, 22 Jan 2024 13:52:19 +0100

jupyterlab (4.0.10+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 12 Jan 2024 16:01:12 +0100

jupyterlab (4.0.9+ds1-2) UNRELEASED; urgency=medium

  * Run jupyter-labextension build at package build time.

 -- Roland Mas <lolando@debian.org>  Wed, 03 Jan 2024 17:06:14 +0100

jupyterlab (4.0.9+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 26 Dec 2023 14:50:00 +0100

jupyterlab (4.0.8+ds1-3) UNRELEASED; urgency=medium

  * Add missing Build-Depends.
  * Pre-build Jupyterlab assets at package build time.
  * Bug fix: "Jupyter lab does not start up", thanks to Christian Holm
    Christensen (Closes: #1060390).

 -- Roland Mas <lolando@debian.org>  Tue, 26 Dec 2023 14:45:22 +0100

jupyterlab (4.0.8+ds1-2) unstable; urgency=medium

  * Update debian/copyright slightly.

 -- Roland Mas <lolando@debian.org>  Tue, 14 Nov 2023 11:44:52 +0100

jupyterlab (4.0.8+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Exclude yarn.js.

 -- Roland Mas <lolando@debian.org>  Sat, 11 Nov 2023 14:10:59 +0100

jupyterlab (3.6.3-4) unstable; urgency=medium

  * Add missing runtime dependency on node-jupyterlab.

 -- Roland Mas <lolando@debian.org>  Fri, 21 Jul 2023 18:27:15 +0200

jupyterlab (3.6.3-3) unstable; urgency=medium

  * Clean up build-dependencies since the Javascript parts are no longer
    built from this source package.

 -- Roland Mas <lolando@debian.org>  Fri, 21 Jul 2023 18:14:12 +0200

jupyterlab (3.6.3-2) unstable; urgency=medium

  * Node modules are now packaged separately in node-jupyterlab.
  * Initial release.

 -- Roland Mas <lolando@debian.org>  Thu, 18 May 2023 17:04:44 +0200

jupyterlab (3.6.3-1) UNRELEASED; urgency=medium

  * Import new upstream release.

 -- Roland Mas <lolando@debian.org>  Mon, 01 May 2023 16:48:01 +0200

jupyterlab (3.6.1-1) UNRELEASED; urgency=medium

  * Import new upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 08 Mar 2023 17:29:24 +0100

jupyterlab (3.5.0~rc0-1) UNRELEASED; urgency=medium

  * Import new upstream pre-release.

 -- Roland Mas <lolando@debian.org>  Wed, 19 Oct 2022 15:55:29 +0200

jupyterlab (3.4.8-1) UNRELEASED; urgency=medium

  * Import new upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 05 Oct 2022 10:09:23 +0200

jupyterlab (3.2.4-1) UNRELEASED; urgency=medium

  [ Julien Puydt ]
  * Initial release. (Closes: #934258)

  [ Roland Mas ]
  * Continuing Julien's work.

 -- Roland Mas <lolando@debian.org>  Wed, 09 Feb 2022 20:06:59 +0100

=== debian/control ===
Source: jupyterlab
Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
Uploaders: Julien Puydt <jpuydt@debian.org>, Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.0
Homepage: https://github.com/jupyterlab/jupyterlab
Build-Depends: debhelper-compat (= 13),
 dh-python (>= 2.20160609~),
 python3-all,
 python3-hatch-jupyter-builder,
 python3-setuptools,
 dh-nodejs,
 jupyter-server,
 python3-jupyter-events (>= 0.9.0-2),
 python3-jupyterlab-server,
 python3-notebook-shim,
 python3-async-lru,
 node-codemirror-language,
 node-codemirror-state,
 node-codemirror-view,
 node-find-root,
 node-html-loader,
 node-html-webpack-plugin,
 node-jupyterlab (>= 4.0.9+ds1+~cs11.25.24~),
 node-jupyterlab (>= 4.0.9+ds1+~cs11.25.24-1~),
 node-lezer-common,
 node-lezer-highlight,
 node-license-webpack-plugin,
 node-lumino,
 node-react,
 node-react-dom,
 node-typestyle,
 node-typestyle (>= 2.4.0+ds+~3.0.10~),
 node-vscode-ws-jsonrpc,
 node-webpack-merge,
 node-whatwg-fetch,
 node-yjs,
 webpack,
 node-corepack,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyterlab.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyterlab

Package: python3-jupyterlab
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3, nodejs,
 node-jupyterlab,
 node-call-bind,
 node-get-intrinsic,
 node-long,
 python3-notebook-shim,
 python3-jupyter-events,
 python3-rpds-py,
Description: Computational environment
 Extensible environment for interactive and reproducible computing,
 based on the Jupyter notebook and architecture.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=jupyterlab
export JUPYTERLAB_DIR=$(CURDIR)/debian/python3-jupyterlab/usr/share/jupyter/lab
PYVERS=$(shell python3 -c 'import sysconfig;print (sysconfig.get_python_version())')
BUILD_EXTENSIONS=galata/extension

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	cd jupyterlab/staging && \
	pkgjs-install-minimal && \
	webpack --config webpack.prod.config.js

execute_after_dh_install:
	mkdir -p $(JUPYTERLAB_DIR)
	for i in $(shell py3versions -s) ; do ln -s ../../../python3/dist-packages/jupyterlab/staging ../../../python3/dist-packages/jupyterlab/node-version-check.js debian/python3-jupyterlab/usr/lib/$$i/dist-packages/jupyterlab/ ; done
	set -e ; TMPDIR=$$(mktemp -d) ; HOME=$$TMPDIR PYTHONPATH=$(CURDIR)/debian/python3-jupyterlab/usr/lib/python$(PYVERS)/dist-packages/ debian/python3-jupyterlab/usr/bin/jupyter-lab build ; rm -r $$TMPDIR/
	# for i in $(BUILD_EXTENSIONS) ; do echo Building extension $$i ; TMPDIR=$$(mktemp -d) ; HOME=$$TMPDIR PYTHONPATH=$(CURDIR)/debian/python3-jupyterlab/usr/lib/python$(PYVERS)/dist-packages/ debian/python3-jupyterlab/usr/bin/jupyter-labextension build $$i ; rm -r $$TMPDIR/ ; done
	for i in call-bind get-intrinsic @xtuc/long ; do rm -r $(CURDIR)/debian/python3-jupyterlab/usr/share/jupyter/lab/staging/node_modules/$$i ; done

override_dh_auto_test:
	@echo "Tests disabled because of missing depends"

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild || true

=== debian/tests/control ===
Tests: import
Depends: python3-jupyterlab

=== debian/watch ===
version=4
opts=\
repack,repacksuffix=+ds1,dversionmangle=auto \
https://github.com/jupyterlab/jupyterlab/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## jupyterlab 4.0.11+ds1+~cs11.25.27

=== packages/extensionmanager-extension/examples/listings/Makefile ===
# Copyright (c) Jupyter Development Team.
# Distributed under the terms of the Modified BSD License.

export BLOCKED_EXTENSIONS_URIS="https://raw.githubusercontent.com/jupyterlab/jupyterlab/main/packages/extensionmanager-extension/examples/listings/list/blocked_extensions.json"
# export BLOCKED_EXTENSIONS_URIS=""
# export ALLOWED_EXTENSIONS_URIS="https://raw.githubusercontent.com/jupyterlab/jupyterlab/main/packages/extensionmanager-extension/examples/listings/list/allowed_extensions.json"
export ALLOWED_EXTENSIONS_URIS=""
export LISTINGS_REFRESH_SECONDS=120
export LISTINGS_REQUEST_OPTS="{'timeout': 10}"

listings-uris:
	@exec echo Using blockedExtensions URIs: ${BLOCKED_EXTENSIONS_URIS}
	@exec echo Using allowedExtensions URIs: ${ALLOWED_EXTENSIONS_URIS}
	@exec echo Refreshing lists every ${LISTINGS_REFRESH_SECONDS} seconds
	@exec echo Using ${LISTINGS_REQUEST_OPTS} for the HTTP requests

dev: listings-uris
	@exec python main.py \
	  --dev \
	  --no-browser \
	  --LabServerApp.blocked_extensions_uris=${BLOCKED_EXTENSIONS_URIS} \
	  --LabServerApp.allowed_extensions_uris=${ALLOWED_EXTENSIONS_URIS} \
	  --LabServerApp.listings_refresh_seconds=${LISTINGS_REFRESH_SECONDS} \
	  --LabServerApp.listings_request_options=${LISTINGS_REQUEST_OPTS}

watch: listings-uris
	@exec python main.py \
	  --dev \
	  --no-browser \
	  --watch \
	  --LabServerApp.blocked_extensions_uris=${BLOCKED_EXTENSIONS_URIS} \
	  --LabServerApp.allowed_extensions_uris=${ALLOWED_EXTENSIONS_URIS} \
	  --LabServerApp.listings_refresh_seconds=${LISTINGS_REFRESH_SECONDS} \
	  --LabServerApp.listings_request_options=${LISTINGS_REQUEST_OPTS}

=== debian/changelog ===
jupyterlab (4.0.11+ds1+~cs11.25.27-8) unstable; urgency=medium

  * Add node-supports-color into dependencies and add a patch for
    node-supports-color >= 11 (Closes: #1119742)

 -- Yadd <yadd@debian.org>  Fri, 07 Nov 2025 15:18:12 +0100

jupyterlab (4.0.11+ds1+~cs11.25.27-7) unstable; urgency=medium

  * Team upload
  [ Jérémy Lal ]
  * Fix build of bundled browser module (Closes: #1102558).
    Adds a webpack plugin to support modules prefixed by "node:".

  [ Picca Frédéric-Emmanuel ]
  * switch to the upstream (hatchling) build system.
    - now jupyterlab is well integrated with jupyterhub
    - do not install examples at the wrong place.
    - the Python dist-info are right.
  * Bug fix: "missing four files from upstream distribution", thanks to
    Julian Gilbey (Closes: #1101429).
  * Bug fix: "advertises Python package version as 0.0.0", thanks to
    Julian Gilbey (Closes: #1086709).
  * Bug fix: "installs examples into dist-packages", thanks to Piotr
    Ożarowski (Closes: #1102934).
  * d/control: B-D on webpack (>= 5.97.1+dfsg1+~cs11.18.27-3~)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 05 Jun 2025 14:45:20 +0200

jupyterlab (4.0.11+ds1+~cs11.25.27-6) unstable; urgency=medium

  * Declare compliance with policy 4.7.2
  * Fix webpack/commonjs config (Closes: #1101851)
  * Clean temporary files -m (Closes: #1101816)

 -- Yadd <yadd@debian.org>  Wed, 02 Apr 2025 18:46:10 +0200

jupyterlab (4.0.11+ds1+~cs11.25.27-5) unstable; urgency=medium

  * Add dependency on python3-notebook.

 -- Roland Mas <lolando@debian.org>  Sat, 22 Mar 2025 14:40:05 +0100

jupyterlab (4.0.11+ds1+~cs11.25.27-4) unstable; urgency=medium

  * debian/watch: replace /releases by /tags in GitHub urls
  * Add dependency to node-license-webpack-plugin

 -- Yadd <yadd@debian.org>  Thu, 26 Dec 2024 06:14:42 +0100

jupyterlab (4.0.11+ds1+~cs11.25.27-3) unstable; urgency=medium

  * Fix CVE-2024-43805 (Closes: #1082871)

 -- Yadd <yadd@debian.org>  Mon, 25 Nov 2024 15:00:57 +0100

jupyterlab (4.0.11+ds1+~cs11.25.27-2) unstable; urgency=medium

  * Require well build @codemirror/language and @codemirror/view
    (Closes: #1078077)

 -- Yadd <yadd@debian.org>  Mon, 26 Aug 2024 06:11:09 +0400

jupyterlab (4.0.11+ds1+~cs11.25.27-1) unstable; urgency=medium

  * First version of Jupyterlab that merges python3-jupyterlab and
    node-jupyterlab
  * Rename source and package into jupyterlab
  * Change maintainer to Debian PAN Maintainer
    <debian-pan-maintainers@alioth-lists.debian.net>

  [ Roland Mas ]
  * Update debian/watch to cope with the github "tags" page being full of
    tags that are not relevant to us.

  [ Yadd ]
  * Declare compliance with policy 4.7.0
  * New upstream version 4.0.11+ds1+~cs11.25.27
  * Refresh patches
  * Merge python3-jupyterlab and node-jupyterlab
  * Add patch to use system yarnpkg or an arbitrary command given by arg
    (Closes: #1060772)
  * Increase Node.js memory for i386 build
  * Add build dependency to:
    - python3-jupyter-server
    - python3-async-lru
    - python3-jupyterlab-server
    - python3-notebook-shim
  * Increase Node.js memory use to fix i386 build
  * Launch also "jupyter-labextension build galata/extension"
  * Replace html-loader pre-processing by a custom script (see #1078077)

 -- Yadd <yadd@debian.org>  Mon, 12 Aug 2024 16:35:17 +0400

python3-jupyterlab (4.0.11+ds1-2) unstable; urgency=medium

  * Improve error detection in d/rules.
  * Bug fix: "Use node-long package", thanks to Bastien Roucariès (Closes:
    #1067017).
  * Bug fix: "use pacckaged node-call-bind (provided package)", thanks to
    Bastien Roucariès (Closes: #1067019).
  * Bug fix: "please use node-get-intrinsic", thanks to Bastien Roucariès
    (Closes: #1067020).

 -- Roland Mas <lolando@debian.org>  Tue, 19 Mar 2024 16:49:20 +0100

python3-jupyterlab (4.0.11+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bug fix: "CVE-2024-22420 CVE-2024-22421", thanks to Salvatore
    Bonaccorso (Closes: #1061221).

 -- Roland Mas <lolando@debian.org>  Mon, 22 Jan 2024 13:52:19 +0100

node-jupyterlab (4.0.10+ds1+~cs11.25.27-1) unstable; urgency=medium

  * New upstream version 4.0.10+ds1+~cs11.25.27
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Tue, 09 Jan 2024 09:28:06 +0400

python3-jupyterlab (4.0.10+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 12 Jan 2024 16:01:12 +0100

node-jupyterlab (4.0.9+ds1+~cs11.25.24-2) unstable; urgency=medium

  * Fix autopkgtest
  * Fix copyright paths
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 20 Dec 2023 13:18:48 +0400

node-jupyterlab (4.0.9+ds1+~cs11.25.24-1) unstable; urgency=medium

  * Embed duplicate-package-checker-webpack-plugin and systeminformation

 -- Yadd <yadd@debian.org>  Tue, 19 Dec 2023 11:51:43 +0400

node-jupyterlab (4.0.9+ds1+~cs3.4.4-1) unstable; urgency=medium

  * Remove patch fix-node-xterm-paths.patch that is missing
    from debian/patches/series
  * New upstream version 4.0.9+ds1+~cs3.4.4
  * Add patch for minimatch >= 9
  * Update lintian overrides
  * Require node-typestyle >= 2.4.0+ds+~3.0.10~
  * Upload to unstable

 -- Yadd <yadd@debian.org>  Tue, 19 Dec 2023 08:10:53 +0400

python3-jupyterlab (4.0.9+ds1-2) unstable; urgency=medium

  * Run jupyter-labextension build at package build time.

 -- Roland Mas <lolando@debian.org>  Wed, 03 Jan 2024 17:06:14 +0100

python3-jupyterlab (4.0.9+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 26 Dec 2023 14:50:00 +0100

python3-jupyterlab (4.0.8+ds1-3) UNRELEASED; urgency=medium

  * Add missing Build-Depends.
  * Pre-build Jupyterlab assets at package build time.
  * Bug fix: "Jupyter lab does not start up", thanks to Christian Holm
    Christensen (Closes: #1060390).

 -- Roland Mas <lolando@debian.org>  Tue, 26 Dec 2023 14:45:22 +0100

python3-jupyterlab (4.0.8+ds1-2) unstable; urgency=medium

  * Update debian/copyright slightly.



=== debian/control ===
Source: jupyterlab
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders: Yadd <yadd@debian.org>
 , Roland Mas <lolando@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13)
 , dh-nodejs (>= 0.15.22~)
 , dh-sequence-python3
 , node-ajv (>= 8)
 , node-babel7
 , node-codemirror-autocomplete
 , node-codemirror-commands
 , node-codemirror-lang-cpp
 , node-codemirror-lang-css
 , node-codemirror-lang-html
 , node-codemirror-lang-java
 , node-codemirror-lang-javascript
 , node-codemirror-lang-json
 , node-codemirror-lang-markdown
 , node-codemirror-lang-php
 , node-codemirror-lang-python
 , node-codemirror-lang-rust
 , node-codemirror-lang-sql
 , node-codemirror-lang-wast
 , node-codemirror-lang-xml
 , node-codemirror-language (>= 6.10.2~)
 , node-codemirror-legacy-modes
 , node-codemirror-lint
 , node-codemirror-search
 , node-codemirror-state
 , node-codemirror-view (>= 6.33.0~)
 , node-commander
 , node-css-loader
 , node-d3-delaunay
 , node-d3-geo-projection
 , node-deepmerge
 , node-dependency-graph
 , node-fortawesome-fontawesome-free
 , node-fs-extra
 , node-find-root
 , node-geojson
 , node-glob
 , node-html-loader
 , node-html-webpack-plugin
 , node-inquirer
 , node-json-schema
 , node-json5
 , node-lezer-common
 , node-lezer-generator
 , node-lezer-highlight
 , node-lezer-markdown
 , node-license-webpack-plugin
 , node-lodash
 , node-lodash-packages
 , node-lumino (>= 2023.4.27)
 , node-marked
 , node-mathjax-full
 , node-micromatch
 , node-mini-css-extract-plugin
 , node-minimatch (>= 9)
 , node-minimist
 , node-package-json
 , node-path-browserify
 , node-playwright
 , node-process
 , node-react
 , node-react-dom
 , node-react-highlight-words
 , node-react-json-tree
 , node-react-paginate
 , node-react-toastify
 , node-regexp-match-indices
 , node-rjsf-core
 , node-rjsf-utils
 , node-rjsf-validator-ajv8
 , node-sanitize-html
 , node-schema-utils (>= 4)
 , node-semver
 , node-simulate-event
 , node-sort-package-json
 , node-source-list-map
 , node-source-map
 , node-source-map-loader
 , node-supports-color
 , node-stdlib-stats
 , node-style-loader
 , node-style-mod
 , node-supports-color
 , node-tapable
 , node-types-estree
 , node-types-jest
 , node-typescript
 , node-typestyle (>= 2.4.0+ds+~3.0.10~)
 , node-uri-js
 , node-url-parse
 , node-vega
 , node-vega-embed
 , node-vega-lite
 , node-vscode-debugprotocol
 , node-vscode-jsonrpc
 , node-vscode-languageserver-protocol
 , node-vscode-ws-jsonrpc
 , node-webpack-env
 , node-webpack-merge
 , node-webpack-sources
 , node-whatwg-fetch
 , node-xterm (>= 5)
 , node-xtend
 , node-y-codemirror
 , node-y-protocols
 , node-yjs
 , pybuild-plugin-pyproject
 , python3-all
 , python3-async-lru
 , python3-hatch-jupyter-builder
 , python3-jupyter-server
 , python3-jupyterlab-server
 , python3-notebook
 , python3-notebook-shim
 , webpack (>= 5.97.1+dfsg1+~cs11.18.27-3~)
 , yarnpkg
Standards-Version: 4.7.2
Homepage: https://github.com/jupyterlab/jupyterlab
Vcs-Git: https://salsa.debian.org/js-team/node-jupyterlab.git
Vcs-Browser: https://salsa.debian.org/js-team/node-jupyterlab
Rules-Requires-Root: no

Package: jupyterlab
Architecture: all
Provides: ${nodejs:Provides}
 , jupyter-lab (=${binary:Version})
 , jupyter-labextension (=${binary:Version})
 , jupyter-labhub (=${binary:Version})
 , node-jupyterlab (=${binary:Version})
 , python3-jupyterlab (=${binary:Version})
Breaks: node-jupyterlab (<< 4.0.11+ds1+~cs11.25.27~)
 , python3-jupyterlab (<< 4.0.11+ds1+~cs11.25.27~)
Replaces: node-jupyterlab (<< 4.0.11+ds1+~cs11.25.27~)
 , python3-jupyterlab (<< 4.0.11+ds1+~cs11.25.27~)
Depends: ${misc:Depends}
 , ${python3:Depends}
 , jest
 , node-ajv (>= 8)
 , node-babel7
 , node-call-bind
 , node-codemirror-autocomplete
 , node-codemirror-commands
 , node-codemirror-lang-cpp
 , node-codemirror-lang-css
 , node-codemirror-lang-html
 , node-codemirror-lang-java
 , node-codemirror-lang-javascript
 , node-codemirror-lang-json
 , node-codemirror-lang-markdown
 , node-codemirror-lang-php
 , node-codemirror-lang-python
 , node-codemirror-lang-rust
 , node-codemirror-lang-sql
 , node-codemirror-lang-wast
 , node-codemirror-lang-xml
 , node-codemirror-language
 , node-codemirror-legacy-modes
 , node-codemirror-search
 , node-codemirror-state
 , node-codemirror-view
 , node-commander
 , node-css-loader
 , node-deepmerge
 , node-fortawesome-fontawesome-free
 , node-fetch
 , node-fs-extra
 , node-get-intrinsic
 , node-glob
 , node-json-schema
 , node-json5
 , node-lezer-common
 , node-lezer-generator
 , node-lezer-highlight
 , node-lezer-markdown
 , node-license-webpack-plugin
 , node-lodash-packages
 , node-long
 , node-lumino
 , node-marked
 , node-mathjax-full
 , node-mini-css-extract-plugin
 , node-minimist
 , node-path-browserify
 , node-playwright-test
 , node-process
 , node-react
 , node-react-dom
 , node-react-highlight-words
 , node-react-json-tree
 , node-react-paginate
 , node-react-toastify
 , node-regexp-match-indices
 , node-rjsf-core
 , node-rjsf-utils
 , node-rjsf-validator-ajv8
 , node-sanitize-html
 , node-semver
 , node-simulate-event
 , node-source-map-loader
 , node-stdlib-stats
 , node-style-loader
 , node-style-mod
 , node-supports-color
 , node-terser-webpack-plugin
 , node-ts-jest
 , node-typestyle
 , node-url-parse
 , node-vega
 , node-vega-embed
 , node-vega-lite
 , node-vega-statistics
 , node-vscode-debugprotocol
 , node-vscode-jsonrpc
 , node-vscode-languageserver-protocol
 , node-webpack-merge
 , node-worker-loader
 , node-ws
 , node-xterm (>= 5)
 , node-xterm-addon-canvas
 , node-xterm-addon-fit
 , node-xterm-addon-web-links
 , node-xterm-addon-webgl
 , node-yjs
 , node-y-protocols
 , python3-jupyter-events
 , python3-rpds-py
 , webpack
 , yarnpkg
Description: Node.js modules for JupyterLab
 JupyterLab is the next-generation user interface for Project Jupyter
 offering all the familiar building blocks of the classic Jupyter Notebook
 (notebook, terminal, text editor, file browser, rich outputs, etc.) in a
 flexible and powerful user interface.
 .
 This package provides Node.js modules for JupyterLab.

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds1,\
dversionmangle=auto,\
uversionmangle=s/-?((?:rc|beta|alpha)\d*)/~$1/,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
 https://github.com/jupyterlab/jupyterlab/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=jupyter-ydoc,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jupyter-ydoc-$1/ \
 https://github.com/jupyter-server/jupyter_ydoc/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum

opts=searchmode=plain,\
component=mini-svg-data-uri,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-mini-svg-data-uri-$1/ \
 https://registry.npmjs.org/mini-svg-data-uri https://registry.npmjs.org/mini-svg-data-uri/-/mini-svg-data-uri-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=systeminformation,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-systeminformation-$1/ \
 https://github.com/sebhildebrandt/systeminformation/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=duplicate-package-checker-webpack-plugin,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-duplicate-package-checker-webpack-plugin-$1/ \
 https://github.com/darrenscerri/duplicate-package-checker-webpack-plugin/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

## jupyterlab autoversion-0.2.0

=== Makefile ===
testjs: ## Clean and Make js tests
	yarn test

testpy: ## Clean and Make unit tests
	python3.7 -m pytest -v jupyterlab_autoversion/tests --cov=jupyterlab_autoversion

tests: lint ## run the tests
	python3.7 -m pytest -v jupyterlab_autoversion/tests --cov=jupyterlab_autoversion --junitxml=python_junit.xml --cov-report=xml --cov-branch
	yarn test

lint: ## run linter
	flake8 jupyterlab_autoversion setup.py
	yarn lint

fix:  ## run autopep8/tslint fix
	autopep8 --in-place -r -a -a jupyterlab_autoversion/
	./node_modules/.bin/tslint --fix src/*

annotate: ## MyPy type annotation check
	mypy -s jupyterlab_autoversion

annotate_l: ## MyPy type annotation check - count only
	mypy -s jupyterlab_autoversion | wc -l

clean: ## clean the repository
	find . -name "__pycache__" | xargs  rm -rf
	find . -name "*.pyc" | xargs rm -rf
	find . -name ".ipynb_checkpoints" | xargs  rm -rf
	rm -rf .coverage coverage cover htmlcov logs build dist *.egg-info lib node_modules
	# make -C ./docs clean

docs:  ## make documentation
	make -C ./docs html
	open ./docs/_build/html/index.html

install:  ## install to site-packages
	pip3 install .

serverextension: install ## enable serverextension
	jupyter serverextension enable --py jupyterlab_autoversion

js:  ## build javascript
	yarn
	yarn build

labextension: js ## enable labextension
	jupyter labextension install .

dist: js  ## create dists
	rm -rf dist build
	python3.7 setup.py sdist bdist_wheel

publish: dist  ## dist to pypi and npm
	twine check dist/* && twine upload dist/*
	npm publish

# Thanks to Francoise at marmelab.com for this
.DEFAULT_GOAL := help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

print-%:
	@echo '$*=$($*)'

.PHONY: clean install serverextension labextension test tests help docs dist

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = jupyterlab_autoversion
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## jupyterlab autoversion-0.2.2

=== Makefile ===
PYTHON := python
YARN := yarn

testjs: ## Clean and Make js tests
	cd js; ${YARN} test

testpy: ## Clean and Make unit tests
	${PYTHON} -m pytest -v jupyterlab_autoversion/tests --cov=jupyterlab_autoversion

tests: lint ## run the tests
	${PYTHON} -m pytest -v jupyterlab_autoversion/tests --cov=jupyterlab_autoversion --junitxml=python_junit.xml --cov-report=xml --cov-branch
	cd js; ${YARN} test

lint: ## run linter
	${PYTHON} -m flake8 jupyterlab_autoversion setup.py
	cd js; ${YARN} lint

fix:  ## run autopep8/tslint fix
	${PYTHON} -m autopep8 --in-place -r -a -a jupyterlab_autoversion/
	cd js; ${YARN} fix

annotate: ## MyPy type annotation check
	${PYTHON} -m mypy jupyterlab_autoversion

annotate_l: ## MyPy type annotation check - count only
	${PYTHON} -m mypy jupyterlab_autoversion | wc -l

clean: ## clean the repository
	find . -name "__pycache__" | xargs  rm -rf
	find . -name "*.pyc" | xargs rm -rf
	find . -name ".ipynb_checkpoints" | xargs  rm -rf
	rm -rf .coverage coverage coverage.xml cover htmlcov python_junit.xml logs build dist lab-dist *.egg-info .mypy_cache .pytest_cache
	cd js; rm -rf node_modules lib package-lock.json yarn.lock tsconfig.tsbuildinfo
	# make -C ./docs clean

dev_install: ## set up the repo for active development
	${PYTHON} -m pip install -e .[dev] --install-option=--skip-npm
	make labextension
	# verify
	${PYTHON} -m jupyter serverextension list
	${PYTHON} -m jupyter labextension list

docs:  ## make documentation
	make -C ./docs html
	open ./docs/_build/html/index.html

install:  ## install to site-packages
	${PYTHON} -m pip install .

serverextension: install ## enable serverextension
	${PYTHON} -m jupyter serverextension enable --py jupyterlab_autoversion

js:  ## build javascript
	cd js; ${YARN}
	cd js; ${YARN} build

labextension: js ## enable labextension
	cd js; ${PYTHON} -m jupyter labextension install .

dist: js ## create dists
	rm -rf dist build
	${PYTHON} setup.py sdist bdist_wheel

publish: dist  ## dist to pypi and npm
	${PYTHON} -m twine check dist/* && twine upload dist/*
	cd js; npm publish

init_debug:  ## make launch.json from template for debugging in vscode
	mkdir -p ./.vscode
	cp ./docs/debug/.vscode/jupyterlab_venv.env.template ./.vscode/jupyterlab_venv.env
	cp ./docs/debug/.vscode/launch.json.template ./.vscode/launch.json

# Thanks to Francoise at marmelab.com for this
.DEFAULT_GOAL := help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

print-%:
	@echo '$*=$($*)'

.PHONY: clean install serverextension labextension test tests help docs dist js

## jupyterlab autoversion-0.3.3

=== Makefile ===
testpy: ## Clean and Make unit tests
	python -m pytest -v jupyterlab_autoversion/tests --cov=jupyterlab_autoversion --junitxml=python_junit.xml --cov-report=xml --cov-branch

testjs: ## Clean and Make js tests
	cd js; yarn test

test: tests
tests: testpy testjs ## run the tests

lintpy:  ## Black/flake8 python
	python -m black --check jupyterlab_autoversion setup.py
	python -m flake8 jupyterlab_autoversion setup.py

lintjs:  ## ESlint javascript
	cd js; yarn lint

lint: lintpy lintjs  ## run linter

fixpy:  ## Black python
	python -m black jupyterlab_autoversion/ setup.py

fixjs:  ## ESlint Autofix JS
	cd js; yarn fix

fix: fixpy fixjs  ## run black/tslint fix

check: checks
checks:  ## run lint and other checks
	check-manifest

build:  ## build python/javascript
	python -m build .

develop:  ## install to site-packages in editable mode
	python -m pip install --upgrade build pip setuptools twine wheel
	cd js; yarn
	python -m pip install -e .[develop]

install:  ## install to site-packages
	python -m pip install .

dist: clean build  ## create dists
	python -m twine check dist/*

publishpy:  ## dist to pypi
	python -m twine upload dist/* --skip-existing

publishjs:  ## dist to npm
	cd js; npm publish || echo "can't publish - might already exist"

publish: dist publishpy publishjs  ## dist to pypi and npm

docs:  ## make documentation
	make -C ./docs html
	open ./docs/_build/html/index.html

clean: ## clean the repository
	find . -name "__pycache__" | xargs  rm -rf
	find . -name "*.pyc" | xargs rm -rf
	find . -name ".ipynb_checkpoints" | xargs  rm -rf
	rm -rf .coverage coverage *.xml build dist *.egg-info lib node_modules .pytest_cache *.egg-info
	rm -rf jupyterlab_autoversion/labextension
	# make -C ./docs clean
	git clean -fd

# Thanks to Francoise at marmelab.com for this
.DEFAULT_GOAL := help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

print-%:
	@echo '$*=$($*)'

.PHONY: testjs testpy tests test lintpy lintjs lint fixpy fixjs fix checks check build develop install labextension dist publishpy publishjs publish docs clean

## jupyterlab autoversion-0.3.4

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 checks:  ## run lint and other checks
 	check-manifest
 
-build:  ## build python/javascript
+build: clean  ## build python/javascript
 	python -m build .
 
 develop:  ## install to site-packages in editable mode

## jupyterlab autoversion-0.3.5

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	check-manifest
 
 build: clean  ## build python/javascript
-	python -m build .
+	python -m build . -n -w -s
 
 develop:  ## install to site-packages in editable mode
 	python -m pip install --upgrade build pip setuptools twine wheel
@@ -60,6 +60,7 @@
 	find . -name ".ipynb_checkpoints" | xargs  rm -rf
 	rm -rf .coverage coverage *.xml build dist *.egg-info lib node_modules .pytest_cache *.egg-info
 	rm -rf jupyterlab_autoversion/labextension
+	cd js && yarn clean
 	# make -C ./docs clean
 	git clean -fd

## jupyterlab autoversion-0.3.6

=== Makefile ===
--- 
+++ 
@@ -26,10 +26,10 @@
 
 check: checks
 checks:  ## run lint and other checks
-	check-manifest
+	check-manifest -v
 
 build: clean  ## build python/javascript
-	python -m build . -n -w -s
+	python -m build .
 
 develop:  ## install to site-packages in editable mode
 	python -m pip install --upgrade build pip setuptools twine wheel

## jupyterlab biolm-1.1.0

=== Makefile ===
.PHONY: help build clean install rebuild-jupyterlab clean-jupyterlab start deploy verify check-server full-rebuild test-endpoint dev restart check-deployed check-server-status

# Default target
help:
	@echo "BioLM JupyterLab Extension - Development Commands"
	@echo ""
	@echo "Available targets:"
	@echo "  make build              - Build TypeScript and labextension"
	@echo "  make clean              - Clean all build artifacts"
	@echo "  make install            - Install extension (pip install -e .)"
	@echo "  make rebuild-jupyterlab - Rebuild JupyterLab with extension"
	@echo "  make clean-jupyterlab  - Clean JupyterLab build cache"
	@echo "  make deploy             - Copy built files to extension directory"
	@echo "  make verify             - Verify endpoints in built files"
	@echo "  make check-server       - Check if server extension is loaded"
	@echo "  make test-endpoint      - Test server proxy endpoint"
	@echo "  make full-rebuild       - Clean, build, install, and rebuild JupyterLab"
	@echo "  make dev                - Quick dev cycle: build and deploy"
	@echo "  make start              - Start JupyterLab on port 8889"
	@echo "  make restart            - Kill existing server and start fresh"
	@echo "  make check-deployed     - Check what files are deployed"
	@echo "  make check-server-status - Check server extension in running JupyterLab"
	@echo ""

# Build TypeScript and labextension
build:
	npm run build:lib
	@JUPYTERLAB_CORE=$$(python3 -c "import jupyterlab; import os; print(os.path.join(os.path.dirname(jupyterlab.__file__), 'staging'))") && \
	npm run clean:labextension && \
	node node_modules/@jupyterlab/builder/lib/build-labextension.js . --core-path "$$JUPYTERLAB_CORE" --development
	@echo "✅ Build complete"

# Clean all build artifacts
clean:
	npm run clean:all
	@echo "✅ Clean complete"

# Install extension
install:
	pip3 install -e . --force-reinstall
	@echo "✅ Installation complete"

# Rebuild JupyterLab
rebuild-jupyterlab:
	python3 -m jupyterlab build
	@echo "✅ JupyterLab rebuild complete"

# Clean JupyterLab build cache
clean-jupyterlab:
	python3 -m jupyterlab clean --all
	@echo "✅ JupyterLab clean complete"

# Deploy built files to extension directory
deploy:
	@mkdir -p /Users/astewart/Library/Python/3.9/share/jupyter/labextensions/jupyterlab-biolm/static
	cp jupyterlab_biolm/labextension/static/* /Users/astewart/Library/Python/3.9/share/jupyter/labextensions/jupyterlab-biolm/static/
	@echo "✅ Files deployed"

# Verify endpoints in built files
verify:
	@echo "Checking endpoints in built files..."
	@grep -o "/biolm/api/models\|/biolm/api/test-connection\|biolm.ai/api/ui/community-api-models" /Users/astewart/Library/Python/3.9/share/jupyter/labextensions/jupyterlab-biolm/static/lib_index_js.*.js 2>/dev/null | sort | uniq -c || echo "No files found or no matches"
	@echo ""
	@echo "Checking source files..."
	@grep -o "/biolm/api/models\|/biolm/api/test-connection\|biolm.ai/api/ui/community-api-models" lib/api/client.js 2>/dev/null | sort | uniq || echo "Source not built yet"

# Check if server extension is loaded
check-server:
	@echo "Checking server extension..."
	@python3 -c "import jupyterlab_biolm.serverextension; print('✅ Server extension module can be imported')" 2>&1 || echo "❌ Server extension not found"
	@python3 -c "from jupyterlab_biolm import _jupyter_server_extension_points; print('✅ Extension points:', _jupyter_server_extension_points())" 2>&1 || echo "❌ Extension points not found"
	@echo ""
	@echo "Checking config file..."
	@test -f ~/.jupyter/jupyter_server_config.py && echo "✅ Config file exists" || echo "⚠️  Config file not found"
	@grep -q "jupyterlab_biolm" ~/.jupyter/jupyter_server_config.py 2>/dev/null && echo "✅ BioLM extension enabled in config" || echo "⚠️  BioLM not in config"

# Test server proxy endpoint
test-endpoint:
	@python3 scripts/test_endpoint.py || echo "⚠️  Test script not found or failed"

# Full rebuild: clean, build, install, rebuild JupyterLab
full-rebuild: clean build install deploy rebuild-jupyterlab
	@echo ""
	@echo "✅✅✅ Full rebuild complete!"
	@echo "   - TypeScript compiled"
	@echo "   - Labextension built"
	@echo "   - Extension installed"
	@echo "   - Files deployed"
	@echo "   - JupyterLab rebuilt"

# Start JupyterLab
start:
	@echo "Starting JupyterLab on port 8889..."
	@python3 -m jupyterlab --no-browser --port 8889 2>&1 &
	@python3 scripts/wait_for_server.py || echo "⚠️  Wait script not found"

# Restart JupyterLab (kill existing and start fresh)
restart:
	@echo "Killing existing JupyterLab servers on port 8889..."
	@ps aux | grep "[j]upyterlab.*8889" | awk '{print $$2}' | xargs kill 2>/dev/null || true
	@sleep 2
	@$(MAKE) start

# Check what's actually being served
check-deployed:
	@echo "Checking deployed extension files..."
	@ls -lh /Users/astewart/Library/Python/3.9/share/jupyter/labextensions/jupyterlab-biolm/static/lib_index_js.*.js 2>/dev/null | tail -3 || echo "No files found"
	@echo ""
	@echo "Endpoint check:"
	@$(MAKE) verify

# Quick development cycle: build and deploy
dev: build deploy
	@echo "✅ Development build and deploy complete"

# Check server extension status in running JupyterLab
check-server-status:
	@python3 scripts/check_server_status.py || echo "⚠️  Check script not found"

# Deployment test - verify extension installs and works from TestPyPI
test-deployment:
	@echo "Testing deployment - verifying extension installs and works from TestPyPI..."
	@python3 scripts/test_deployment.py

# Build Python package (wheel and sdist) - safe to use, no manual rm approval needed
build-package:
	@echo "Building Python package..."
	rm -rf dist/
	python3 -m build
	@echo "✅ Package built successfully"
	@ls -lh dist/

## jupyterlab commands-0.2.0

=== Makefile ===
testjs: ## Clean and Make js tests
	yarn test

testpy: ## Clean and Make unit tests
	python3.7 -m pytest -v jupyterlab_commands/tests --cov=jupyterlab_commands

tests: lint ## run the tests
	python3.7 -m pytest -v jupyterlab_commands/tests --cov=jupyterlab_commands --junitxml=python_junit.xml --cov-report=xml --cov-branch
	yarn test

lint: ## run linter
	flake8 jupyterlab_commands setup.py
	yarn lint

fix:  ## run autopep8/tslint fix
	autopep8 --in-place -r -a -a jupyterlab_commands/
	./node_modules/.bin/tslint --fix src/*

annotate: ## MyPy type annotation check
	mypy -s jupyterlab_commands

annotate_l: ## MyPy type annotation check - count only
	mypy -s jupyterlab_commands | wc -l

clean: ## clean the repository
	find . -name "__pycache__" | xargs  rm -rf
	find . -name "*.pyc" | xargs rm -rf
	find . -name ".ipynb_checkpoints" | xargs  rm -rf
	rm -rf .coverage coverage cover htmlcov logs build dist *.egg-info lib node_modules
	# make -C ./docs clean

docs:  ## make documentation
	make -C ./docs html
	open ./docs/_build/html/index.html

install:  ## install to site-packages
	pip3 install .

serverextension: install ## enable serverextension
	jupyter serverextension enable --py jupyterlab_commands

js:  ## build javascript
	yarn
	yarn build

labextension: js ## enable labextension
	jupyter labextension install .

dist: js  ## create dists
	rm -rf dist build
	python3.7 setup.py sdist bdist_wheel

publish: dist  ## dist to pypi and npm
	twine check dist/* && twine upload dist/*
	npm publish

# Thanks to Francoise at marmelab.com for this
.DEFAULT_GOAL := help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

print-%:
	@echo '$*=$($*)'

.PHONY: clean install serverextension labextension test tests help docs dist

## jupyterlab commands-0.2.2

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,20 @@
 testjs: ## Clean and Make js tests
-	yarn test
+	cd js; yarn test
 
 testpy: ## Clean and Make unit tests
 	python3.7 -m pytest -v jupyterlab_commands/tests --cov=jupyterlab_commands
 
 tests: lint ## run the tests
 	python3.7 -m pytest -v jupyterlab_commands/tests --cov=jupyterlab_commands --junitxml=python_junit.xml --cov-report=xml --cov-branch
-	yarn test
+	cd js; yarn test
 
 lint: ## run linter
 	flake8 jupyterlab_commands setup.py
-	yarn lint
+	cd js; yarn lint
 
 fix:  ## run autopep8/tslint fix
 	autopep8 --in-place -r -a -a jupyterlab_commands/
-	./node_modules/.bin/tslint --fix src/*
+	cd js; yarn fix
 
 annotate: ## MyPy type annotation check
 	mypy -s jupyterlab_commands
@@ -40,11 +40,11 @@
 	jupyter serverextension enable --py jupyterlab_commands
 
 js:  ## build javascript
-	yarn
-	yarn build
+	cd js; yarn
+	cd js; yarn build
 
 labextension: js ## enable labextension
-	jupyter labextension install .
+	cd js; jupyter labextension install .
 
 dist: js  ## create dists
 	rm -rf dist build
@@ -52,7 +52,7 @@
 
 publish: dist  ## dist to pypi and npm
 	twine check dist/* && twine upload dist/*
-	npm publish
+	cd js; npm publish
 
 # Thanks to Francoise at marmelab.com for this
 .DEFAULT_GOAL := help

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
-SPHINXPROJ    = jupyterlab_autoversion
+SPHINXPROJ    = jupyterlab_commands
 SOURCEDIR     = .
 BUILDDIR      = _build

## jupyterlab commands-0.3.0

=== Makefile ===
testjs: ## Clean and Make js tests
	cd js; yarn test

testpy: ## Clean and Make unit tests
	python -m pytest -v jupyterlab_commands/tests --cov=jupyterlab_commands

tests: lint ## run the tests
	python -m pytest -v jupyterlab_commands/tests --cov=jupyterlab_commands --junitxml=python_junit.xml --cov-report=xml --cov-branch
	cd js; yarn test

lint: ## run linter
	python -m flake8 jupyterlab_commands setup.py
	cd js; yarn lint

fix:  ## run autopep8/tslint fix
	python -m black jupyterlab_commands/ setup.py
	cd js; yarn fix

clean: ## clean the repository
	find . -name "__pycache__" | xargs  rm -rf
	find . -name "*.pyc" | xargs rm -rf
	find . -name ".ipynb_checkpoints" | xargs  rm -rf
	rm -rf .coverage coverage cover htmlcov logs build dist *.egg-info lib node_modules
	# make -C ./docs clean

docs:  ## make documentation
	make -C ./docs html
	open ./docs/_build/html/index.html

install:  ## install to site-packages
	python -m pip install .

serverextension: install ## enable serverextension
	python -m jupyter serverextension enable --py jupyterlab_commands

js:  ## build javascript
	cd js; yarn
	cd js; yarn build

labextension: js ## enable labextension
	cd js; python -m jupyter labextension install .

dist: js  ## create dists
	rm -rf dist build
	python setup.py sdist bdist_wheel
	python -m twine check dist/*

publish: dist  ## dist to pypi and npm
	python -m twine upload dist/* --skip-existing
	cd js; npm publish || echo "can't publish - might already exist"

# Thanks to Francoise at marmelab.com for this
.DEFAULT_GOAL := help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

print-%:
	@echo '$*=$($*)'

.PHONY: clean install serverextension labextension test tests help docs dist
